%if 0%{?rhel} == 8
# debugsource generation is broken on RHEL 8
%global _debugsource_template %{nil}
%endif

Name:           tini
Version:        0.18.0
Release:        5%{?dist}
Summary:        A tiny but valid `init` for containers

License:        MIT
URL:            https://github.com/krallin/tini
Source0:        https://github.com/krallin/tini/archive/v%{version}.tar.gz

BuildRequires:  make
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  glibc-static

%description
All Tini does is spawn a single child (Tini is meant to be run in a container),
and wait for it to exit all the while reaping zombies and performing signal forwarding.

%prep
%setup -q -n %{name}-%{version}

%build
#export CFLAGS="-DPR_SET_CHILD_SUBREAPER=36 -DPR_GET_CHILD_SUBREAPER=37"
export CMAKE_C_FLAGS="$RPM_OPT_FLAGS"
export CMAKE_EXE_LINKER_FLAGS="$RPM_LD_FLAGS"

cmake . && make

%install
mkdir -p %{buildroot}%{_bindir}
mv tini %{buildroot}/%{_bindir}/tini
mv tini-static %{buildroot}/%{_bindir}/tini-static

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/tini
%{_bindir}/tini-static

%changelog
* Thu Dec 10 2020 Boris Ranto <branto@redhta.com> - 0.18.0-5
- rebuild

* Mon Jul 20 2020 Boris Ranto <branto@redhat.com> - 0.18.0-4
- Rebuild to enable alt arches

* Tue Jun 09 2020 Boris Ranto <branto@redhat.com> - 0.18.0-3
- Rebuild to enable s390x

* Wed Nov 06 2019 Boris Ranto <branto@redhat.com> - 0.18.0-2
- Rebuild for ocs

* Tue Feb 19 2019 Boris Ranto <branto@redhat.com> - 0.18.0-1
- Rebase to 0.18.0
